Summary:	A Utilities collection of binary Utilities	
Name: 		rarlinux
Version: 	5.3.0 
Release: 	1%{?dist}
License: 	GPL
Group: 		Utilities
%ifarch x86_64 ppc64 ia64
Source0: 	%{name}-x64-%{version}.tar.gz
%else
Source0: 	%{name}-%{version}.tar.gz
%endif
#Patch0:		
URL:		http://www.yoper.com
Distribution:	Yoper
#Icon: 		yoperlogo.xpm
Vendor:		Yoper Limited
Packager:	R.W.H. Vermare <rene@vermare.nl>
#Provides:
#Requires:
#AutoReqProv:	no
BuildRoot: 	%{_tmppath}/%{name}-buildroot

BuildRequires: bash, binutils, gcc, glibc, ncurses, make, tar, zlib, glibc


%define _unpackaged_files_terminate_build       1
%define _missing_doc_files_terminate_build      1
%define _smp_mflags -j4
%define _target_platform i686-pc-linux-gnu



%description
Rar for Linux binaries.


%prep
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}

%setup -q -n rar

#%patch


mkdir -p %{buildroot}/usr/local/bin
cp rar unrar  %{buildroot}/usr/local/bin
%ifarch x86_64 ppc64 ia64
mkdir -p %{buildroot}/usr/local/lib64
cp default.sfx %{buildroot}/usr/local/lib64
%else
mkdir -p %{buildroot}/usr/local/lib
cp default.sfx %{buildroot}/usr/local/lib
%endif
mkdir -p %{buildroot}/etc
cp rarfiles.lst %{buildroot}/etc


find %{buildroot} -type f \
   -exec /usr/local/bin/strip --strip-debug '{}' ';'


%clean
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}


%files
%defattr(-,root,root)
/usr/local/bin/*
%ifarch x86_64 ppc64 ia64
/usr/local/lib64/default.sfx
%else
/usr/local/lib/default.sfx
%endif
%{_sysconfdir}/rarfiles.lst


%changelog
* Mon Feb  8 2016 René Vermare <rene@vermare.nl> 5.3.0-1
- Build version 5.3.0 (5.30) for Fedora 23 x86_64

* Mon Feb  8 2016 René Vermare <rene@vermare.nl> 5.2.1-1
- Build version 5.2.1 (5.21) for Fedora 23 x86_64

* Wed Feb 18 2015 René Vermare <rene@vermare.nl> 5.2.1-1
- Build version 5.2.1 (5.21) for Fedora 14 x86_64

* Thu Oct 9 2014 René Vermare <rene@vermare.nl> 5.1.1-1
- Build version 5.1.1 (5.11) for RedHat el6 x86_64

* Thu Jul 17 2014 René Vermare <rene@vermare.nl> 5.1.0-1
- Build version 5.1.0 for RedHat el6 x86_64

* Sun Feb 23 2014 René Vermare <rene@vermare.nl> 5.0.1-1
- Build version 5.0.1 for Fedora 14 x86_64

* Thu Jun 16 2011 René Vermare <rene@vermare.nl> 4.0.1-1
- Build version 4.0.1 for Fedora 14 x86_64

* Tue Mar 22 2011 René Vermare <rene@vermare.nl> 4.0.0-1
- Build version 4.0.0 for Fedora 14 x86_64

* Thu Jan 13 2011 René Vermare <rene@vermare.nl> 3.9.3
- Build version 3.9.3 for Fedora 14 x86_64
